/////////////////////////////////////////////////////////////////////////////
// Name:        alsainterface.h
// Purpose:     Audio mixer functions implementation via ALSA library.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     08/15/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License.
/////////////////////////////////////////////////////////////////////////////

#include "commondefs.h"

#ifndef __ALSA_INTERFACE_H__
#define __ALSA_INTERFACE_H__

class CAlsaInterface
{
public:
	CAlsaInterface( void );
	~CAlsaInterface( );

	bool Open( DJ_DEVICE_STATE *pState );
	bool Close( DJ_DEVICE_STATE *pState );
	bool RetrieveState( DJ_DEVICE_STATE *pState );
	void UpdateEventCallback( DJ_DEVICE_STATE *pState );

	// --- Set Volume and Mute ---
	bool SetMute( DJ_DEVICE_STATE *pState, int nStereoChannel, bool bMute );
	bool SetVolume( DJ_DEVICE_STATE *pState, int nChannel, unsigned short usVolume );
	

protected:
	static int Callback_Mixer(snd_mixer_t *mixer, unsigned int mask, snd_mixer_elem_t *elem);
	static int Callback_Mixer_Elem(snd_mixer_elem_t *elem, unsigned int mask);
	bool RetrieveState_DJConsole( DJ_DEVICE_STATE *pState );
	bool RetrieveState_DJConsoleMk2( DJ_DEVICE_STATE *pState );
	bool RetrieveState_DJConsoleRmx( DJ_DEVICE_STATE *pState );

private:
};

#endif


