/////////////////////////////////////////////////////////////////////////////
// Name:        devnulldlg.cpp
// Purpose:     Implement GUI for <NULL-DEVICE> Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     09/03/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "devnulldlg.h"
#include "localization.h"

extern CLocalization	g_LOCALIZATION;


CDevNullDlg::CDevNullDlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC ) : 
	CGDialog(pSkinMemDC, pSkinAlphaMemDC, 362, 348)
{
	BUTTON_STATE_INFO	buttonInfo[1];
	char			strText[80];
	CGControl		*pCtrl;
	CGStaticText		*pStatic;
	int i;

	// --- Hercules Logo ---
	for(i=0;i<4;++i)
		buttonInfo[0].coordinates[i].y = 349;
	buttonInfo[0].nProcessAlpha = FALSE;
	buttonInfo[0].coordinates[0].x = 0;
	buttonInfo[0].coordinates[1].x = 0;
	buttonInfo[0].coordinates[2].x = 78;
	buttonInfo[0].coordinates[3].x = 156;

	pCtrl = (CGControl *) new CGButton(&m_eventList, IDC_NO_DEVICE_HERCULES_LOGO, 
		136+5,266,77,56,m_pSkinMemDC, m_pSkinAlphaMemDC, 1, buttonInfo);
	AddControl(pCtrl);

	// --- ABOUT Static ---
	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_COPYRIGHT, 
		g_LOCALIZATION.GetString(IDS_COPYRIGHT),
		33,200,280,15, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);
	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_COPYRIGHT2, 
		g_LOCALIZATION.GetString(IDS_RIGHTS_RESERVED),
		33,220,280,10, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);


	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_NOTE1, 
		g_LOCALIZATION.GetString(IDS_HERCULES_CONTROL_PANEL),
		33,50,280,10, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);

	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_NOTE2, 
		g_LOCALIZATION.GetString(IDS_PLUG_YOUR_DEVICE),
		33,70,280,10, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);

	sprintf(strText, "%s %s", g_LOCALIZATION.GetString(IDS_PACKAGE), INFO_PACKAGE_NAME);
	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_NOTE3, 
		strText, 
		33,130,280,10, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);

	sprintf(strText, "%s %s", g_LOCALIZATION.GetString(IDS_CONTROL_PANEL), INFO_CONTROL_PANEL);
	pStatic = new CGStaticText(&m_eventList, IDC_NODEV_STATIC_ABOUT_NOTE4, 
		strText, 
		33,150,280,10, ALIGN_CENTER|VALIGN_CENTER);
	pStatic->SetFontSize(8);
	pStatic->SetFontAttributes(true, false);
	AddControl((CGControl *) pStatic);
}

CDevNullDlg::~CDevNullDlg( )
{
}

// ---------------------------------------------------------------------------
// Function: MouseEvent
//
// Process mouse events for all controls available on the no device dialog.
// ---------------------------------------------------------------------------
bool CDevNullDlg::MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect )
{
	bool		bMouseEvent = false;
	bool		bProcessEvent;
	int		nControlID, nMsg;
	unsigned long	ulParam1, ulParam2;

	bMouseEvent = CGDialog::MouseEvent(x,y,button, refreshRect);

	do
	{
		bProcessEvent = GetEvent(&nControlID, &nMsg, &ulParam1, &ulParam2);
		if (bProcessEvent) {
			switch(nControlID)
			{
			case IDC_NO_DEVICE_HERCULES_LOGO:
				m_helpers.LaunchInternetBrowser(g_LOCALIZATION.GetString(IDS_HTTP_DEFAULT));
				break;
			}
		}
	} while (bProcessEvent);

	return bMouseEvent;
}


