/////////////////////////////////////////////////////////////////////////////
// Name:        drivernotification.h
// Purpose:     wxThread derived class to handle Hercules custom driver
//		notification (called BULK driver). Notification are
//		provided via the Net Link interface.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     15/09/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include <wx/wx.h>

#ifndef _DRIVER_NOTIFICATION__H_
#define _DRIVER_NOTIFICATION__H_

#define MSG_THREAD_BAIL	0


class CDriverNotification : public wxThread
{
public:
	CDriverNotification( void );
	~CDriverNotification();

	bool  Run( int nNetLinkUnit );
	bool  Stop( void );
	void* Entry();

protected:

private:
	int m_nNetLinkUnit;
	int m_pipe_notification[2];
};

#endif


