/////////////////////////////////////////////////////////////////////////////
// Name:        ghelpers.cpp
// Purpose:     Helpers functions class. Currently, we have only the
//		function which launch an internet browser.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     24/07/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "wx/wx.h" 
#include "ghelpers.h"
#include <sys/utsname.h>


GHelpers::GHelpers(void)
{
}

GHelpers::~GHelpers()
{
}

// ---------------------------------------------------------------------------
// Function: LaunchInternetBrowser
//
// Check which internet browser is present and should be use. Then, launch
// the process with the HTTP link. This function include a patch for the
// Guillemot UMPC.
// ---------------------------------------------------------------------------
bool GHelpers::LaunchInternetBrowser(const char *szHttpLink)
{
	const char szBrowserPath[][80] = {
		"/usr/bin/gnome-www-browser",
		"/usr/bin/x-www-browser",
		"/usr/bin/firefox",
		"/usr/bin/konqueror",
		"/usr/bin/www-browser"
	};
	const char szGuillemotUMPCFirefox[60] = "/usr/share/firefox3/firefox";
	char	szCmd[512];
	int	i, dh;

	// --- Check if we are running on a Guillemot UMPC ---
	// Patch to fix a bug in which on a Guillemot UMPC launching firefox from
	// /usr/bin/firefox launch a Firefox Updater which never complete.
	struct utsname uNameInfo;
	uname(&uNameInfo);
	if (strncasecmp(uNameInfo.nodename, "guillemot", strlen("guillemot"))==0)
	{
		// Check if the Guillemot UMPC Firefox link exist.
		dh = open(szGuillemotUMPCFirefox, 0);
		if (dh>=0) 
		{
			close(dh);

			// Try to launch the browser with the given HTTP Link.
			strcpy(szCmd, szGuillemotUMPCFirefox);
			strcat(szCmd, " \"");
			strcat(szCmd, szHttpLink);
			strcat(szCmd, "\" &");
			if (system(szCmd)>=0)
				return true;
		}
	}	
	// --- End of patch ---
	
	for(i=0;i<(int) (sizeof(szBrowserPath)/sizeof(szBrowserPath[0]));++i)
	{
		// Check if the link exist.
		dh = open(szBrowserPath[i], 0);
		if (dh>=0) 
		{
			close(dh);

			// Try to launch the browser with the given HTTP Link.
			strcpy(szCmd, szBrowserPath[i]);
			strcat(szCmd, " \"");
			strcat(szCmd, szHttpLink);
			strcat(szCmd, "\" &");
			if (system(szCmd)>=0)
				return true;
		}
	}
	
	return false;
}



