/////////////////////////////////////////////////////////////////////////////
// Name:        gstatic.h
// Purpose:     GUI static image implementation using wxWidgets.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     02/26/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "wx/wx.h" 
#include "gcontrol.h"

#ifndef _GUILLEMOT_STATIC_H_
#define _GUILLEMOT_STATIC_H_

typedef struct STATIC_STATE_INFO
{
	int x, y;		// Position: x, y from graphic source.
	int nProcessAlpha;	// If 0 BitBlt without processing alpha.
} STATIC_STATE_INFO, *PSTATIC_STATE_INFO;


class CGStatic : public CGControl
{
public:
	CGStatic( PEVENT_LIST pEventList, int nControlID, int nPosX, int nPosY, int nWidth, int nHeight, 
		wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC, int nStateCount, 
		PSTATIC_STATE_INFO pStateInfo );
	virtual ~CGStatic();

	int  GetState();
	void SetState(int nState);

	void Paint( wxDC *pDC, PREFRESH_RECT refreshRect );


protected:
	wxMemoryDC		*m_pSkinMemDC, *m_pSkinAlphaMemDC;
	int			 m_nStateCount;
	PSTATIC_STATE_INFO	 m_pStateInfo;
	int			 m_nCurrentState;

private:
};

#endif

