/////////////////////////////////////////////////////////////////////////////
// Name:        gstatictext.h
// Purpose:     GUI static text implementation using wxWidgets.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     02/25/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "wx/wx.h" 
#include "gcontrol.h"

#ifndef _GUILLEMOT_STATIC_TEXT_H_
#define _GUILLEMOT_STATIC_TEXT_H_

class CGStaticText : public CGControl
{
public:
	CGStaticText( PEVENT_LIST pEventList, int nControlID, const char *szLabel, int nPosX, int nPosY, 
				int nWidth, int nHeight, unsigned long ulAlign = ALIGN_LEFT|VALIGN_TOP );
	virtual ~CGStaticText();

	void SetFontSize( int nSize );
	void SetFontColor( int red, int green, int blue );
	void SetDisableFontColor( int red, int green, int blue );
	void SetFontAttributes( int nBold, int nItalic );
	void SetFontName( char *strFontName );  // Be sure the Font exist on the OS.

	int  GetLabel(char *szLabel);
	void SetLabel(char *szLabel);

	void Paint( wxDC *pDC, PREFRESH_RECT refreshRect );


protected:
	char		m_szLabel[512];
	char		m_szFontName[512];
	int		m_nFontSize, m_nFontRed, m_nFontGreen, m_nFontBlue;
	int		m_nDisableFontRed, m_nDisableFontGreen, m_nDisableFontBlue;
	int		m_nFontBold, m_nFontItalic;
	unsigned long	m_ulAlign;

private:
};

#endif

