/////////////////////////////////////////////////////////////////////////////
// Name:        hidnotification.h
// Purpose:     wxThread derived class to handle HID notification 
//		(read pooling) via the bulk interface.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     22/10/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////

#include <wx/wx.h>
#include "commondefs.h"


#ifndef _HID_NOTIFICATION__H_
#define _HID_NOTIFICATION__H_

#define DJMK2_BULK_INDEX_HEADPHONE_SELECTION	5
#define DJMK2_BULK_MASK_HEADPHONE_SELECTION	0x0F
#define DJMK2_BULK_HEADPHONE_SELECTION_DECK_A	1
#define DJMK2_BULK_HEADPHONE_SELECTION_DECK_B	2
#define DJMK2_BULK_HEADPHONE_SELECTION_MIX	4
#define DJMK2_BULK_HEADPHONE_SELECTION_SPLIT	8
#define DJMK2_BULK_INDEX_ON_AIR			5
#define DJMK2_BULK_MASK_ON_AIR			0x10
#define DJMK2_BULK_INDEX_AUDIO_SOURCE		4
#define DJMK2_BULK_MASK_AUDIO_SOURCE_DECK_A	0x10
#define DJMK2_BULK_MASK_AUDIO_SOURCE_DECK_B	0x20
#define DJMK2_BULK_INDEX_LOCK_DECK		4
#define DJMK2_BULK_MASK_LOCK_DECK_A		0x40
#define DJMK2_BULK_MASK_LOCK_DECK_B		0x80

#define DJC_BULK_INDEX_ON_AIR			4
#define DJC_BULK_MASK_ON_AIR			0x20


class CHIDNotification : public wxThread
{
public:
	CHIDNotification( DJ_DEVICE_STATE *pDevState );
	~CHIDNotification();

	virtual void* Entry();

protected:

private:
	int 		 m_nBulkFileHandle;
	unsigned long 	 m_ulBufferSize;
	DJ_DEVICE_STATE *m_pDevState;

};

#endif


