/////////////////////////////////////////////////////////////////////////////
// Name:        localization.h
// Purpose:     Contain and return the text strings base on the user
//		language.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     22/10/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////

#ifndef _LOCALIZATION__H_
#define _LOCALIZATION__H_

#define LANGID_ENGLISH		0
#define LANGID_FRENCH		1
#define LANGID_GERMAN		2
#define LANGID_ITALIAN		3
#define LANGID_SPANNISH		4
#define LANGID_DUTCH		5
#define LANGID_MAX		LANGID_DUTCH
#define LANGID_COUNT		(LANGID_MAX+1)

#define STRING_LENGTH		256

#define IDS_HTTP_DEFAULT		100
#define IDS_HTTP_DJC			101
#define IDS_HTTP_MK2			102
#define IDS_HTTP_MP3			103
#define IDS_HTTP_RMX			104
#define IDS_HTTP_STEEL			105
#define IDS_COPYRIGHT			106
#define IDS_RIGHTS_RESERVED		107
#define IDS_DEFAULT			108
#define IDS_OK				109
#define IDS_NORMAL			110
#define IDS_DJ				111
#define IDS_MASTER_VOLUME		112
#define IDS_MASTER			113
#define IDS_MONITOR			114
#define IDS_AUX				115
#define IDS_MIDI_INPUT			116
#define IDS_RECORD_INPUT		117
#define IDS_PACKAGE			118
#define IDS_DRIVER			119
#define IDS_FIRMWARE			120
#define IDS_BULK_STATUS			121
#define IDS_CONTROL_PANEL		122
#define IDS_MIDI_CHANNEL		123
#define IDS_TALKOVER_ATT		124
#define IDS_TALKOVER_ATT_UPCASE		125
#define IDS_DJ_MOUSE			126
#define IDS_DJ_MOUSE_UPCASE		127
#define IDS_LINE_IN			128
#define IDS_MIC				129
#define IDS_DIGITAL_COAXIAL		130
#define IDS_DIGITAL_OPTICAL		131
#define IDS_MIDI_IN_PLUG		132
#define IDS_MIDI_IN_BUTTONS		133
#define IDS_DJ_CONSOLE_PROD_INFO_1	134
#define IDS_DJ_CONSOLE_PROD_INFO_2	135
#define IDS_DJ_CONSOLE_VERSION		136
#define IDS_HERCULES_CONTROL_PANEL	137
#define IDS_PLUG_YOUR_DEVICE		138
#define IDS_USB_12_NO_MIX		139
#define IDS_USB_12_MIX_WITH_MIC		140
#define IDS_USB_12_MIX_WITH_LINE_IN	141
#define IDS_TAB_MAIN			142
#define IDS_TAB_ADVANCED		143
#define IDS_TAB_ABOUT			144
#define IDS_OUTPUT_CHANNELS		145
#define IDS_INPUT_CHANNELS		146
#define IDS_JOG_WHEELS_SETTINGS		147
#define IDS_CROSS_FADER_SETTINGS	148
#define IDS_USE_EXTERNAL_MIXER		149
#define IDS_ENABLING_DISABLING		150
#define IDS_SENSITIVITY			151
#define IDS_OUTPUT_12_HW_MIX_OPTION	152
#define IDS_MIDI_CHANNEL_FOR_CONTROLS	153
#define IDS_TECH_SUPPORT_INFO_NOTE_1	154
#define IDS_TECH_SUPPORT_INFO_NOTE_2	155
#define IDS_JOG_WHEEL_SENSITIVITY_TTIPS	156
#define IDS_NORMAL_DEFAULT		157
#define IDS_LESS_SENSITIVE		158
#define IDS_LEAST_SENSITIVE		159
#define IDS_ENABLE_DEFAULT		160
#define IDS_DISABLE_JOG_DECK_A		161
#define IDS_DISABLE_JOG_DECK_B		162
#define IDS_DISABLE_JOG_BOTH		163
#define IDS_BEATMIX_CURVE		164
#define IDS_DIPPED_CURVE		165
#define IDS_SCRATCH_CURVE		166
#define IDS_CROSS_FADER_LOCK_DECK_A	167
#define IDS_CROSS_FADER_LOCK_DECK_B	168
#define IDS_CROSS_FADER_LOCK_CENTER	169
#define IDS_HW_VOLUME_CONTROL		170
#define IDS_DBL_CLICK_RESET_BALANCE	171
#define IDS_DJCONSOLE_MODE_TTIPS	172
#define IDS_SAMPLE_RATE_TTIPS		173
#define IDS_TALKOVER_ATT_TTIPS		174
#define IDS_LINK_VOLUMES_TTIPS		175
#define IDS_AUDIO_SOURCE_LOCK_TTIPS	176
#define IDS_INPUT_12_MIC_LINEIN_TTIPS	177
#define IDS_TALKOVER_ATT_LEVEL_TTIPS	178
#define IDS_USE_EXTERNAL_MIXER_TTIPS	179
#define IDS_DJ_MOUSE_TTIPS		180
#define IDS_AUDIO_SOURCE_TTIPS		181
#define IDS_ON_AIR_TTIPS		182
#define IDS_MK2_HEADPHONE_TTIPS		183
#define IDS_CROSS_FADER_GRAPH_TTIPS	184
#define IDS_CROSS_FADER_TTIPS		185
#define IDS_MIDI_CHANNEL_TTIPS		186
#define IDS_REPORT_BUGS			187
#define IDS_USAGE			188
#define IDS_OPTION			189
#define IDS_VERSION			190
#define IDS_PHYSICAL_LOCATION		191
#define IDS_WARNING_LANG_NOT_SUPPORTED	192
#define IDS_WARNING_DEVICE_NOT_FOUND	193
#define IDS_INVALID_OPTION		194
#define IDS_HOW_TO_DISPLAY_HELP		195
#define IDS_THIS_IS_FREE_SOFTWARE	196
#define IDS_LICENSE_GNU_NOTE_1		197
#define IDS_LICENSE_GNU_NOTE_2		198
#define IDS_WRITTEN_BY			199
#define IDS_SAME_AS			200
#define IDS_WARNING_PROCESS_ALREADY_RUN	201
#define IDS_GIVE_THIS_HELP		202
#define IDS_OUTPUT_DEBUG_STRINGS	203
#define IDS_SET_CURRENT_DEVICE		204
#define IDS_SPECIFY_USER_LANGUAGE	205
#define IDS_DISPLAY_LICENSE		206
#define IDS_ALLOW_MULTIPLE_INSTANCES	207
#define IDS_LIST_DETECTED_DEVICES	208
#define IDS_LICENSE_CONTACT		209

#define IDS_MIN 			IDS_HTTP_DEFAULT
#define IDS_MAX				IDS_LICENSE_CONTACT


class CLocalization
{
public:
	CLocalization( void );
	~CLocalization();

	bool SetLanguageID( char *szLanguageCode );
	const char *GetString( int nString_ID );

private:
	int	m_nLanguageID;
};

#endif


